import solo_turnier
import logging

def __initLogging():
    logging.basicConfig()
    logging.root.setLevel(logging.NOTSET)
    return logging.getLogger('solo_turnier')

def main():
    l = __initLogging()
    cli = solo_turnier.cli.Cli(l)

    if cli.showGUI():
        raise Exception('Not yet implemented')
    else:
        batchWorker = solo_turnier.batch.BatchWorker(cli)
        batchWorker.run()

if __name__ == '__main__':
    main()
