
import os
import solo_turnier.html_locator

def test_fetchLocationCandidates():
    folder = os.path.join(os.path.dirname(__file__), 'html_locator', 'export')
    relFolder = os.path.relpath(folder)

    locator = solo_turnier.html_locator.HtmlLocator()
    candidates = locator.findCandidates(relFolder)

    expected = [
        'solo_turnier/tests/html_locator/export/2-bar/erg.htm',
        'solo_turnier/tests/html_locator/export/3-baz/erg.htm',
        'solo_turnier/tests/html_locator/export/3-baz/subfolder/4-baz/erg.htm'
    ]
    assert set(candidates) == set(expected)
